Skip to main content
POST
/
v2
/
history
/
read
Mark Notifications as Read
curl --request POST \
  --url https://alerts-api.dial.to/v2/history/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Dialect-Client-Key: <x-dialect-client-key>' \
  --data '
{
  "appId": "255d6163-7e25-43e9-a188-c2f8d0980a4a"
}
'
import requests

url = "https://alerts-api.dial.to/v2/history/read"

payload = { "appId": "255d6163-7e25-43e9-a188-c2f8d0980a4a" }
headers = {
"X-Dialect-Client-Key": "<x-dialect-client-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Dialect-Client-Key': '<x-dialect-client-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({appId: '255d6163-7e25-43e9-a188-c2f8d0980a4a'})
};

fetch('https://alerts-api.dial.to/v2/history/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"error": {}
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication for subscriber calls

Headers

X-Dialect-Client-Key
string
required

Client Key used to uniquely identify the client

Example:

"dk_gyh2eqzfkc4mhp5eiahnndkz"

Body

application/json
appId
string<uuid>

Application ID

Example:

"255d6163-7e25-43e9-a188-c2f8d0980a4a"

Response

Notifications marked as read successfully

The response is of type object.